﻿using UnityEngine;
using UnityEngine.UI;

public class Controller : MonoBehaviour
{
    public Note Instance { get; set; }

    private float time = 0f;

    private readonly float minAlpha = 0.3f;
    private readonly float maxAlpha = 0.7f;

    public int id;

    // Update is called once per frame
    void Update()
    {
        if (Instance.Activated)
        {
            time += Time.deltaTime * 3;

            foreach (Image img in GetComponentsInChildren<Image>())
            {
                Color tmp = img.color;
                tmp.a = 0f;
                img.color = tmp + new Color(0, 0, 0,
                    (maxAlpha + minAlpha) / 2
                    + Mathf.Cos(time * 4) * (maxAlpha - minAlpha) / 2);
            }
        }
    }

    public void Deactivate()
    {
        Instance.Activated = false;

        foreach (Image img in GetComponentsInChildren<Image>())
        {
            Color tmp = img.color;
            tmp.a = 0f;
            img.color = tmp + new Color(0, 0, 0, minAlpha);
        }
    }
}